INTERFACE
SUBROUTINE PPRHTL(KPROMA,KSTART,KPROF,KFLEV,KLEVP,KLOLEV,&
 & KLEVB,PRPRES,LDBELO,LDBLOW,PRHMAX,PRHMIN,&
 & PRXP,PRXPD,PQF,PTF,PRHPP,&
 & PRXP5,PRXPD5,PTF5,PQF5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KLOLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVB(KPROMA,KLEVP,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPRES(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDBELO(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDBLOW(KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRHMAX
REAL(KIND=JPRB) ,INTENT(IN) :: PRHMIN
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXPD(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRHPP(KPROMA,KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP5(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXPD5(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KPROMA,0:KFLEV)
END SUBROUTINE PPRHTL
END INTERFACE
